Llink:sources

From Lundman Wiki
Jump to: navigation, search

Sources for llink

Latest sources are here:

llink-2.3.2.tar.gz 

Get the special libdvdread:

libdvdread-4.2.0.plus.tar.gz

You will also need to get libdvdnav-2.4.0, it is not patched from the original, but for convenience's sake, there is a copy here too:

libdvdnav-4.2.0.tar.bz2

If you want UPNP support, you also need to get clinkc-2.4 and clinkav-2.4. Until these are officially released, you can get them here:

 clinkc-2.4.tar.gz 
 clinkcav-2.4.tar.gz 

If you are on a system where you can "make install", that is considerably easier and wont really need any extra ./configure magic. But if you can not install, and want to compile from the directories, I would do something like:

cd /your/compile/area/
tar -zxf clinkc-2.4.tar.gz
cd clinkc-2.4
./configure --enable-anyaddr
make
(make install - if you are root, or use the direct path in the following compiles)
cd /your/compile/area/
tar -zxf clinkcav-2.4.tar.gz
cd clinkcav-2.4
./configure CPPFLAGS=-I/your/compile/area/clinkc-2.4/include LDFLAGS=-L/your/compile/area/clinkc-2.4/lib/unix/ LIBS=""
make
(make install - if you want)

Here the CPPFLAGS and LDFLAGS are needed if you did not "make install". The LIBS="" part in the end will depend on your system. On OSX, I would use LIBS="-lexpat", on Linux LIBS="-lexpat -lpthread -luuid"

cd /your/compile/area/
tar -zxf llink-2.3.0.tar.gz
./configure --enable-clinkc --without-openssl CPPFLAGS="-I/your/compile/area/clinkc-2.4/include  -I/your/compile/area/clinkcav-2.4/include" LDFLAGS="-L/your/compile/area/clinkcav-2.4/lib/unix/.libs LIBS=""
make

Here the CPPFLAGS and LDFLAGS are needed if you did not "make install". The LIBS="" part in the end will depend on your system. On OSX, I would use LIBS="-lexpat", on Linux LIBS="-lexpat -lpthread -luuid"

If compiling clinkcav complains about relocating symbols, and -fPIC. You need to go back to clinkc and configure it with CFLAGS=-fPIC; make clean; make and make install again.

If you do not have doxygen installed, it will give errors. These can be ignored and you can assume it is compiled/installed.


<paypal></paypal>



Older sources:

llink-2.3.1.tar.gz 
llink-2.3.0.tar.gz 
llink-2.2.4.tar.gz 
llink-2.2.3.tar.gz 
llink-2.2.2.tar.gz 
llink-2.2.0.tar.gz 
llink-2.1.2.tar.gz 
llink-2.1.1.tar.gz 
llink-2.1.0.tar.gz 
llink-2.0.9.tar.gz 
llink-2.0.8.tar.gz 
llink-2.0.7.tar.gz 
llink-2.0.6.tar.gz 
llink-2.0.5.tar.gz 
llink-2.0.4.tar.gz 
llink-2.0.3.tar.gz 
llink-2.0.2.tar.gz 
llink-2.0.1.tar.gz 
llink-2.0.tar.gz 
llink-1.9.9.tar.gz 
llink-1.9.6.tar.gz
llink-1.9.5.tar.gz
llink-1.9.4.tar.gz
llink-1.9.2.tar.gz
llink-1.9.1.tar.gz
llink-1.9.tar.gz
llink-1.8.tar.gz
llink-1.7.tar.gz
llink-1.6.tar.gz
llink-1.5.tar.gz
llink-1.4.tar.gz
llink-1.3.tar.gz


Current testing sources:

llink-2.3.2.tar.gz 

CVS Version control

CVS.